# {{ ansible_managed }}

auto {{ item.device|string }}
{% if item.allow is defined and item.allow|length > 0 %}
allow-{{ item.allow|string }} {{ item.device|string }}
{% endif %}
{% if item.bootproto|string|lower == 'static' or item.bootproto|string|lower == 'manual' %}
iface {{ item.device|string }} {{ item.family|default('inet',true) }} {{ item.bootproto|string }}
{% if item.mtu is defined and item.mtu|string|length > 0 %}
    mtu {{ item.mtu|string }}
{% endif %}
{% if item.address is defined and item.address|string|length > 0 %}
    address {{ item.address|string }}
{% endif %}
{% if item.netmask is defined and item.netmask|string|length > 0 %}
    netmask {{ item.netmask|string }}
{% endif %}
{% if item.network is defined and item.network|string|length > 0 %}
    network {{ item.network|string }}
{% endif %}
{% if item.broadcast is defined and item.broadcast|string|length > 0 %}
    broadcast {{ item.broadcast|string }}
{% endif %}
{% if item.gateway is defined and item.gateway|string|length > 0 %}
    gateway {{ item.gateway|string }}
{% endif %}
{% if item.dnsnameservers is defined and item.dnsnameservers|length > 0 %}
    # dns-* options are implemented by the resolvconf package, if installed
    dns-nameservers {{ item.dnsnameservers|join(' ') }}
{% endif %}
{% if item.dnssearch is defined and item.dnssearch|string|length > 0 %}
    # dns-* options are implemented by the resolvconf package, if installed
    dns-search {{ item.dnssearch|string }}
{% endif %}
{% endif %}
{% if item.bootproto == 'dhcp' %}
iface {{ item.device|string }} {{ item.family|default('inet',true) }} dhcp
{% endif %}
{%- if item.route is defined and item.route|length > 0 %}
{%- for route in item.route %}
    up route add -net {{ route.network|string }}{{ ' netmask ' ~ route.netmask if (route.netmask is defined and route.netmask|string|length > 0) else '' }}{{ ' gw ' ~ route.gateway if (route.gateway is defined and route.gateway|string|length > 0) else '' }}{{ ' metric ' ~ route.metric if (route.metric is defined and route.metric|string|length > 0) else '' }} dev {{ item.device|string }}{{ ' || /bin/true' if item.route|length > 1 else '' }}
{% endfor -%}
{%- for route in item.route %}
    down route del -net {{ route.network }}{{ ' netmask ' ~ route.netmask if (route.netmask is defined and route.netmask|string|length > 0) else '' }}{{ ' gw ' ~ route.gateway if (route.gateway is defined and route.gateway|string|length > 0) else '' }}{{ ' metric ' ~ route.metric if (route.metric is defined and route.metric|string|length > 0) else '' }} dev {{ item.device|string }}{{ ' || /bin/true' if item.route|length > 1 else '' }}
{% endfor -%}
{% endif -%}
{%- if item.pre_up is defined and item.pre_up|length > 0 %}
{%- for pre_up in item.pre_up %}
    pre-up {{ pre_up|string }}
{% endfor -%}
{% endif -%}
{%- if item.up is defined and item.up|length > 0 %}
{%- for up in item.up %}
    up {{ up|string }}
{% endfor -%}
{% endif -%}
{%- if item.down is defined and item.down|length > 0 %}
{%- for down in item.down %}
    down {{ down|string }}
{% endfor -%}
{% endif -%}
{%- if item.post_down is defined and item.post_down|length > 0 %}
{%- for post_down in item.post_down %}
    post-down {{ post_down|string }}
{% endfor -%}
{% endif -%}
